Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface PredefinedParser

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenParserImplementation, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  PredefinedParserImpl

    public interface PredefinedParser

extends GenParserImplementation

A representation of the model object 'Predefined Parser'. Use one of GMF-provided parser implementations

The following features are supported:

- `View Method`
- `Edit Method`
- `Class Name`

See Also:
  `GMFGenPackage.getPredefinedParser()`
** Generated **
Model:

Method Summary
`java.lang.String` `getClassName()` Returns the value of the 'Class Name' attribute
`LabelTextAccessMethod` `getEditMethod()` Returns the value of the 'Edit Method' attribute.
`java.lang.String` `getQualifiedClassName()`
`LabelTextAccessMethod` `getViewMethod()` Returns the value of the 'View Method' attribute.
`void` `setClassName(java.lang.String value)` Sets the value of the '`Class Name`' attribute
`void` `setEditMethod(LabelTextAccessMethod value)` Sets the value of the '`Edit Method`' attribute
`void` `setViewMethod(LabelTextAccessMethod value)` Sets the value of the '`View Method`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenParserImplementation
`getHolder, getUses`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getViewMethod

    LabelTextAccessMethod getViewMethod()

  Returns the value of the 'View Method' attribute. The literals are from the enumeration `LabelTextAccessMethod`.

  If the meaning of the 'View Method' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `setViewMethod(LabelTextAccessMethod)`, `GMFGenPackage.getPredefinedParser_ViewMethod()`
  ** Generated **
  Model:

### setViewMethod

    void setViewMethod(LabelTextAccessMethod value)

  Sets the value of the '`View Method`' attribute.

  Parameters:
    `value` - the new value of the 'View Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `getViewMethod()`
  ** Generated **

### getEditMethod

    LabelTextAccessMethod getEditMethod()

  Returns the value of the 'Edit Method' attribute. The literals are from the enumeration `LabelTextAccessMethod`.

  If the meaning of the 'Edit Method' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `setEditMethod(LabelTextAccessMethod)`, `GMFGenPackage.getPredefinedParser_EditMethod()`
  ** Generated **
  Model:

### setEditMethod

    void setEditMethod(LabelTextAccessMethod value)

  Sets the value of the '`Edit Method`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Method' attribute.
  See Also:
    `LabelTextAccessMethod`, `getEditMethod()`
  ** Generated **

### getClassName

    java.lang.String getClassName()

  Returns the value of the 'Class Name' attribute. Provides means to alter name of parser implementation class

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `GMFGenPackage.getPredefinedParser_ClassName()`
  ** Generated **
  Model:

### setClassName

    void setClassName(java.lang.String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`
  ** Generated **

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.